# Consumer Surveys API . results

## Instance Methods

Retrieves any survey results that have been produced so far. Results are formatted as an Excel file.

Retrieves any survey results that have been produced so far. Results are formatted as an Excel file.

### Method Details

`get(surveyUrlId)`

    Retrieves any survey results that have been produced so far. Results are formatted as an Excel file.

    Args:
      surveyUrlId: string, External URL ID for the survey. (required)

    Returns:
      An object of the form:

        { # Reference to the current results for a given survey.
        "status": "A String", # Human readable string describing the status of the request.
        "surveyUrlId": "A String", # External survey ID as viewable by survey owners in the editor view.
      }

`get_media(surveyUrlId)`

    Retrieves any survey results that have been produced so far. Results are formatted as an Excel file.

    Args:
      surveyUrlId: string, External URL ID for the survey. (required)

    Returns:
      The media object as a string.